SimpleSelfRebuff:_rev("$Revision: 42680 $")

SimpleSelfRebuff:RegisterBuffSetup(function(self, BS, class, L)

	local source = self.SOURCE_ITEM
	
	local function registerItems(category, target)
	
		if class == 'ROGUE' or class == 'WARRIOR' or class == 'PALADIN' or class == 'SHAMAN' or class == 'DRUID' then
			-- Sharpening Stones		
			self:RegisterBuff( "Adamantite Sharpening Stone",  category, true, target, source, 'itemid', 23529, 'minLevel', 60 )
			self:RegisterBuff( "Fel Sharpening Stone",         category, true, target, source, 'itemid', 23528, 'minLevel', 50, 'maxLevel', 59 )
			self:RegisterBuff( "Dense Sharpening Stone",       category, true, target, source, 'itemid', 12404, 'minLevel', 35, 'maxLevel', 49 )
			self:RegisterBuff( "Solid Sharpening Stone",       category, true, target, source, 'itemid',  7964, 'minLevel', 25, 'maxLevel', 34 )
			self:RegisterBuff( "Heavy Sharpening Stone",       category, true, target, source, 'itemid',  2871, 'minLevel', 15, 'maxLevel', 24 )
			self:RegisterBuff( "Coarse Sharpening Stone",      category, true, target, source, 'itemid',  2863, 'minLevel',  5, 'maxLevel', 14 )
			self:RegisterBuff( "Rough Sharpening Stone",       category, true, target, source, 'itemid',  2862,                 'maxLevel',  4 )
	
			self:RegisterBuff( "Consecrated Sharpening Stone", category, true, target, source, 'itemid', 23122, 'minLevel', 50 )
			self:RegisterBuff( "Elemental Sharpening Stone",   category, true, target, source, 'itemid', 18262, 'minLevel', 50 )
	
			-- Weightstones
			self:RegisterBuff( "Adamantite Weightstone", category, true, target, source, 'itemid', 28421, 'minLevel', 60 )
			self:RegisterBuff( "Fel Weightstone",        category, true, target, source, 'itemid', 28420, 'minLevel', 50, 'maxLevel', 59 )
			self:RegisterBuff( "Dense Weightstone",      category, true, target, source, 'itemid', 12643, 'minLevel', 35, 'maxLevel', 49 )
			self:RegisterBuff( "Solid Weightstone",      category, true, target, source, 'itemid',  7965, 'minLevel', 25, 'maxLevel', 34 )
			self:RegisterBuff( "Heavy Weightstone",      category, true, target, source, 'itemid',  3241, 'minLevel', 15, 'maxLevel', 24 )
			self:RegisterBuff( "Coarse Weightstone",     category, true, target, source, 'itemid',  3240, 'minLevel',  5, 'maxLevel', 14 )
			self:RegisterBuff( "Rough Weightstone",      category, true, target, source, 'itemid',  3239,                 'maxLevel',  4 )
		end
		
		-- Wizard Oils		
		if class == 'WARLOCK' or class == 'DRUID' or class == 'MAGE' or class == 'SHAMAN' or class == 'PALADIN' or class == 'PRIEST' then 
			self:RegisterBuff( "Superior Wizard Oil",  category, true, target, source, 'itemid', 22522, 'minLevel', 58 )
			self:RegisterBuff( "Wizard Oil",           category, true, target, source, 'itemid', 20750, 'minLevel', 40, 'maxLevel', 57 )
			self:RegisterBuff( "Lesser Wizard Oil",    category, true, target, source, 'itemid', 20746, 'minLevel', 30, 'maxLevel', 39 )
			self:RegisterBuff( "Minor Wizard Oil",     category, true, target, source, 'itemid', 20744, 'minLevel',  5, 'maxLevel', 29 )
			
			self:RegisterBuff( "Brilliant Wizard Oil", category, true, target, source, 'itemid', 20749, 'minLevel', 45 )
			
			self:RegisterBuff( "Blessed Wizard Oil",   category, true, target, source, 'itemid', 23123, 'minLevel', 50 )
		end

		-- Mana Oils
		if class == 'WARLOCK' or class == 'DRUID' or class == 'MAGE' or class == 'SHAMAN' or class == 'PALADIN' or class == 'PRIEST' or class == 'HUNTER' then
			self:RegisterBuff( "Superior Mana Oil",  category, true, target, source, 'itemid', 22521, 'minLevel', 52 )
			self:RegisterBuff( "Lesser Mana Oil",    category, true, target, source, 'itemid', 20747, 'minLevel', 40, 'maxLevel', 51 )
			self:RegisterBuff( "Minor Mana Oil",     category, true, target, source, 'itemid', 20745, 'minLevel', 20, 'maxLevel', 39 )
	
			self:RegisterBuff( "Brilliant Mana Oil", category, true, target, source, 'itemid', 20748, 'minLevel', 45 )
		end
	
	end
	
	registerItems(self.CATEGORY_MAINHAND, self.TARGET_MAINHAND)
	registerItems(self.CATEGORY_OFFHAND, self.TARGET_OFFHAND)	

end)
